Package com.smartgwt.client.util

# Interface DateDisplayFormatter

All Known Implementing Classes:
  `DateFormatStringFormatter`

public interface DateDisplayFormatter
DateDisplayFormatter interface. SmartGWT includes several built-in DateFormatters for common formats - see below:

Date formatting methods
`DateUtil.TOSTRING` | The default native browser `toString()` implementation.
`DateUtil.TOLOCALESTRING` | The default native browser `toLocaleString()` implementation.
`DateUtil.TOUSSHORTDATE` | Short date in format MM/DD/YYYY
`DateUtil.TOUSSHORTDATETIME` | Short date with time in format MM/DD/YYYY HH:MM
`DateUtil.TOEUROPEANSHORTDATE` | Short date in format DD/MM/YYYY
`DateUtil.TOEUROPEANSHORTDATETIME` | Short date with time in format DD/MM/YYYY HH:MM
`DateUtil.TOJAPANSHORTDATE` | Short date in format YYYY/MM/DD
`DateUtil.TOJAPANSHORTDATETIME` | Short date with time in format YYYY/MM/DD HH:MM
`DateUtil.TOSERIALIZEABLEDATE` | Date in the format YYYY-MM-DD HH:MM:SS
`DateUtil.TODATESTAMP` | Date in the format <YYYYMMDD>T<HHMMSS>Z Example: `20051104T111001Z`

Time formatting methods
`DateUtil.TOTIME` | String will display with seconds and am/pm indicator: `[H]H:MM:SS am|pm`
`DateUtil.TO24HOURTIME` | String will display with seconds in 24 hour time: `[H]H:MM:SS`
`DateUtil.TOPADDEDTIME` | String will display with seconds, with a 2 digit hour and am/pm indicator: `HH:MM:SS am|pm`
`DateUtil.TOPADDED24HOURTIME` | String will display with seconds, with a 2 digit hour in 24 hour format: `HH:MM:SS`
`DateUtil.TOSHORTTIME` | String will have no seconds and be in 12 hour format: `[H]H:MM am|pm`
`DateUtil.TOSHORT24HOURTIME` | String will have no seconds and be in 24 hour format: `[H]H:MM`
`DateUtil.TOSHORTPADDEDTIME` | String will have no seconds and will display a 2 digit hour, in 12 hour clock format: `HH:MM am|pm`
`DateUtil.TOSHORTPADDED24HOURTIME` | String will have no seconds and will display with a 2 digit hour in 24 hour clock format: `HH:MM`.

See Also:
  - `DateUtil.setNormalDateDisplayFormatter(DateDisplayFormatter)`
  - `DateUtil.setShortDateDisplayFormatter(DateDisplayFormatter)`
  - `DateUtil.setShortDatetimeDisplayFormatter(DateDisplayFormatter)`
  - `DateUtil.setNormalTimeDisplayFormatter(DateDisplayFormatter)`
  - `DateUtil.setShortTimeDisplayFormatter(DateDisplayFormatter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `format(Date date)`
  The format method.

- ## Method Details

  - ### format

    String format(Date date)
    The format method.
    Parameters:
      `date` - the date
    Returns:
      the String representation of the date